> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List funding accounts

> Retrieve the funding bank accounts registered on the parent account. Funding accounts are automatically registered using the bank details from a deposit when received. These can be used to withdraw funds out of the account.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /accounts/{account_id}/funding-accounts
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /accounts/{account_id}/funding-accounts:
    get:
      summary: List funding accounts
      description: >-
        Retrieve the funding bank accounts registered on the parent account.
        Funding accounts are automatically registered using the bank details
        from a deposit when received. These can be used to withdraw funds out of
        the account.
      operationId: list_funding_accounts_accounts__account_id__funding_accounts_get
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
            title: Account Id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/FundingAccount'
                title: >-
                  Response List Funding Accounts Accounts  Account Id  Funding
                  Accounts Get
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    FundingAccount:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        nickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Nickname
          description: >-
            User-provided nickname for the funding account. This can be used in
            your app to distinguish between multiple funding accounts.
        owner_name:
          type: string
          title: Owner Name
          description: The owner name as specified by the bank on the funding account.
        iban:
          type: string
          title: Iban
          description: The IBAN of the funding account.
        bank_code:
          type: string
          title: Bank Code
          description: The bank code (e.g BIC/SWIFT).
        currency:
          allOf:
            - $ref: '#/components/schemas/Currency'
          description: >-
            The currency of the funding account. We don't support multi-currency
            funding accounts at this time.
        is_verified:
          type: boolean
          title: Is Verified
          description: >-
            Whether we've verified the ownership of the funding account. By
            default, we will mark the funding account as verified if we've
            received a deposit from it.
          default: false
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - owner_name
        - iban
        - bank_code
        - currency
      title: FundingAccount
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    Currency:
      type: string
      enum:
        - EUR
        - USD
        - GBP
      title: Currency
      properties: {}
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````